﻿using Microsoft.EntityFrameworkCore;

namespace ELTE.TodoList.Web.Models
{
    public class TodoListDbContext : DbContext
    {
        public DbSet<List> Lists { get; set; } = null!;
        public DbSet<Item> Items { get; set; } = null!;

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            // Use MSSQL database: need Microsoft.EntityFrameworkCore.SqlServer package for this
            optionsBuilder.UseSqlServer("Data Source=(localdb)\\MSSQLLocalDB;initial catalog=TodoListCore6;Trusted_Connection=True;MultipleActiveResultSets=True");

            // Alternatively use Sqlite database: need Microsoft.EntityFrameworkCore.Sqlite package for this
            //optionsBuilder.UseSqlite("Data Source=TodoListCore6.db");

            // Use lazy loading (don't forget the virtual keyword on the navigational properties also)
            optionsBuilder.UseLazyLoadingProxies();
        }
    }
}
